Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.service
Class CardServiceResourceNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  opencard.core.OpenCardException
                      opencard.core.service.CardServiceException
                          opencard.opt.service.CardServiceResourceNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class CardServiceResourceNotFoundException

extends CardServiceException

Exception thrown when required resources are not found. This exception can indicate a misuse of a service or service component as well as an error that was not caused by the application.
A situation in which this exception would be thrown is a service that supports user friendly names for card objects, and is missing a dictionary to resolve them. The error would have been caused by the application if it did not provide a dictionary. The error would not have been caused by the application if it did provide a URL, and the dictionary could not be loaded due to a network error.

Version:
  $Id: CardServiceResourceNotFoundException.java,v 1.1.1.1 1999/10/05 15:08:48 damke Exp $
Author:
  Thomas Schaeck (schaeck@de.ibm.com), Roland Weber (rolweber@de.ibm.com)
See Also:
  Serialized Form

Constructor Summary
`CardServiceResourceNotFoundException()` Creates a new exception without detail message.
`CardServiceResourceNotFoundException(java.lang.String message)` Creates a new exception with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CardServiceResourceNotFoundException

    public CardServiceResourceNotFoundException()

  Creates a new exception without detail message.

### CardServiceResourceNotFoundException

    public CardServiceResourceNotFoundException(java.lang.String message)

  Creates a new exception with the specified detail message.

  Parameters:
    `message` - a string indicating why this exception is thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD